#preloader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    z-index: 10000;
}
#status {
    width: 30px;
    height: 30px;
    position: absolute;
    left: 50%;
    top: 50%;
    margin: -15px 0 0 -15px;
    font-size: 32px;
}

.rtl {
    direction: rtl;
}
.ltr{
    direction: ltr;
}
.panel-heading {
    font-weight: bold;
}

.nav-tabs > li.active > a, .nav-tabs > li.active > a:focus, .nav-tabs > li.active > a:hover {
    color: #000;
}

.nav-tabs > li > a, .nav-tabs > li > a {
    color: #777;
}

.tabbable-custom > .nav-tabs > li.active {
    border-top: 3px solid #36c6d3;
}



.pagination > li:first-child > a,
.pagination > li:first-child > span {
    border-bottom-left-radius: 3px;
    border-top-left-radius: 3px;
}

.pagination > li:last-child > a,
.pagination > li:last-child > span {
    border-bottom-right-radius: 3px;
    border-top-right-radius: 3px;
}

.pagination > li > a,
.pagination > li > span {
    color: #636e7b;
}

.pagination > li > a:hover,
.pagination > li > span:hover,
.pagination > li > a:focus,
.pagination > li > span:focus {
    background-color: #e4e7ea;
}

.pagination-split li {
    margin-left: 5px;
    display: inline-block;
    float: left;
}

.pagination-split li:first-child {
    margin-left: 0;
}

.pagination-split li a {
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
}

.pagination > .active > a,
.pagination > .active > span,
.pagination > .active > a:hover,
.pagination > .active > span:hover,
.pagination > .active > a:focus,
.pagination > .active > span:focus {
    background-color: #2bb8c4;
    border-color: #2bb8c4;
    border-radius: 3px;
}

.pager li > a, .pager li > span {
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    color: #636e7b;
}


.pagination > li:first-child > a,
.pagination > li:first-child > span {
    border-radius: 3px;
}

.pagination > li:last-child > a,
.pagination > li:last-child > span {
    border-radius: 3px;

}

.pagination > li > a,
.pagination > li > span {
    color: #636e7b;
    border-radius: 3px;
}

.pagination > li > a:hover,
.pagination > li > span:hover,
.pagination > li > a:focus,
.pagination > li > span:focus {
    background-color: #e4e7ea;
}


.pagination-split li {
    float: right;
}

.pagination-split li:first-child {
    margin-left: 5px;
}

.fileinput-filename-display{
    display: block;
    font-size:11px;
}
.margin-left-2{
    margin-left: 2px;
}

.margin-left-5{
    margin-left: 5px;
}

.margin-right-2{
    margin-right: 2px;
}

.margin-right-5{
    margin-right: 5px;
}

.margin-bottom-2{
    margin-bottom: 2px;
}

.margin-bottom-5{
    margin-bottom: 5px;
}

.margin-top-5{
    margin-top: 5px;
}


.border-bottom{
    border: none;
    border-bottom:1px solid #ddd;
    padding-bottom:20px
}

.form-horizontal .border-bottom .control-label{
    padding-top: 0;
    font-weight: bold;
}

.tab-content .tab-footer, .panel-footer-alt, .portlet-footer{
    border-top: 1px #eee solid;
    padding: 10px;
}

.xsmall{
    font-size: 11px;
}

.form-bordered .form-group{
    border-bottom: 1px #eee solid;
    padding-bottom: 10px;
}

.form-bordered .form-group:last-child{
    border-bottom: none;
    padding-bottom: 0;
}


.folder-color {
    color: #F8CE24;
    text-shadow: -1px -1px 0 #F5A629,
    1px -1px 0 #F5A629,
    -1px 1px 0 #F5A629,
    1px 1px 0 #F5A629;
}

.small-divider{
    height: 1px;
    margin: 1px 0;
    overflow: hidden;
    background-color: #e5e5e5
}

.category-tree .form-group{
    margin: 0;
}

.category-tree .dropdown-menu > li > a {
    padding: 4px;
    color: #000;
}
.thumbnail-container {
    position: relative;
}

.thumbnail-container i.fa.fa-spin{
    margin: 10px auto;
}
.thumbnail-delete {
    padding: 1px 4px;
    position: absolute;
    top: -10px;
    right: -10px;
    z-index: 1000;
}
.margin-20{
   margin: 20px;
}

.input-group-addon {
    background-color: #fff;
}

.input-group-addon .fa{
    color: #000;
}

.jdatetimepicker{
    cursor: pointer;
}

input:-moz-read-only.jdatetimepicker, input:-moz-read-only.jdatepicker {
    background-color: #fff;
}
input:read-only.jdatetimepicker, input:read-only.jdatepicker{
    background-color: #fff;
}

.jdatetimepicker:disabled{
    background: #dddddd !important;
}


.ckbox,
.rdio {
    position: relative;
}

.ckbox input[type="checkbox"],
.rdio input[type="radio"] {
    opacity: 0;
}

.ckbox label,
.rdio label {
    padding-left: 10px;
    cursor: pointer;
    margin-bottom: 7px !important;
}

.ckbox label:before {
    width: 18px;
    height: 18px;
    position: absolute;
    top: 1px;
    left: 0;
    content: '';
    display: inline-block;
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
    border-radius: 2px;
    border: 1px solid #bbb;
    background: #fff;
}

.ckbox input[type="checkbox"]:disabled + label  {
    color: #999;
}

.ckbox input[type="checkbox"]:disabled + label:before  {
    background-color: #eee;
}

.ckbox input[type="checkbox"]:checked + label::after  {
    font-family: 'FontAwesome';
    content: "\F00C";
    position: absolute;
    top: 2px;
    left: 3.5px;
    display: inline-block;
    font-size: 11px;
    width: 16px;
    height: 16px;
    color: #fff;
}

.ckbox-default input[type="checkbox"]:checked + label:before {
    border-color: #999;
}

.ckbox-default input[type="checkbox"]:checked + label::after {
    color: #333;
}

.ckbox-primary input[type="checkbox"]:checked + label:before {
    border-color: #357EBD;
    background-color: #428BCA;
}

.ckbox-warning input[type="checkbox"]:checked + label:before {
    border-color: #EEA236;
    background-color: #F0AD4E;
}

.ckbox-success input[type="checkbox"]:checked + label:before {
    border-color: #1CAF9A;
    background-color: #1CAF9A;
}

.ckbox-danger input[type="checkbox"]:checked + label:before {
    border-color: #D43F3A;
    background-color: #D9534F;
}

.rdio label:before {
    width: 18px;
    height: 18px;
    position: absolute;
    top: 1px;
    left: 0;
    content: '';
    display: inline-block;
    -moz-border-radius: 50px;
    -webkit-border-radius: 50px;
    border-radius: 50px;
    border: 1px solid #bbb;
    background: #fff;
}

.rdio input[type="radio"]:disabled + label  {
    color: #999;
}

.rdio input[type="radio"]:disabled + label:before  {
    background-color: #eee;
}

.rdio input[type="radio"]:checked + label::after  {
    content: '';
    position: absolute;
    top: 5px;
    left: 4px;
    display: inline-block;
    font-size: 11px;
    width: 10px;
    height: 10px;
    background-color: #444;
    -moz-border-radius: 50px;
    -webkit-border-radius: 50px;
    border-radius: 50px;
}

.rdio-default input[type="radio"]:checked + label:before {
    border-color: #999;
}

.rdio-primary input[type="radio"]:checked + label:before {
    border-color: #428BCA;
}

.rdio-primary input[type="radio"]:checked + label::after {
    background-color: #428BCA;
}

.rdio-warning input[type="radio"]:checked + label:before {
    border-color: #F0AD4E;
}

.rdio-warning input[type="radio"]:checked + label::after {
    background-color: #F0AD4E;
}

.rdio-success input[type="radio"]:checked + label:before {
    border-color: #1CAF9A;
}

.rdio-success input[type="radio"]:checked + label::after {
    background-color: #1CAF9A;
}

.rdio-danger input[type="radio"]:checked + label:before {
    border-color: #D9534F;
}

.rdio-danger input[type="radio"]:checked + label::after {
    background-color: #D9534F;
}

.ckbox input[type="checkbox"]:checked + label:after {
    left: auto;
    right: 3.1px;
}

.ckbox label:before {
    left: auto;
    right: 0;
}

.rdio label:before {
    left: auto;
    right: 0;
}

.rdio input[type="radio"]:checked + label::after  {
    left: auto;
    right: 3.5px;
}

.ckbox label, .rdio label {
    padding-left: 0;
    padding-right: 10px;
}

.fa-stack{
    height: 1em;
    line-height: 1em;
    width: 1em;
}

.fa-category-stack{
    font-size: 10px;
    color: #666;
}
.sortable-placeholder{
    border: 1px solid blue;
}

.nodisplay{
    display: none;
}

.btn-sq-lg {
    width: 150px !important;
    height: 150px !important;
}

.btn-sq {
    width: 100px !important;
    height: 100px !important;
    padding: 0 !important;
}

.btn-sq-sm {
    width: 50px !important;
    height: 50px !important;
    font-size: 10px;
}

.btn-sq-xs {
    width: 25px !important;
    height: 25px !important;
    padding:2px;
}

.btn-sq i{
    margin-top: 25px;
}
.btn-sq span{
    font-weight: bold;
}

.template-preview img{
    width: 100%;
}

.default-template .title{
    font-size: 18px;
    font-weight: bold;
}

.default-template .template-operations li{
    margin-bottom: 10px;
}

.ace_editor {
    border: 1px solid lightgray;
    min-height: 500px;
}
